Archivio Tag: Aggiornamento WooCommerce

WooCommerce 2.6.8, pochi ma importanti bugfix.

Aggiornamento WooCommerce con bugfix e migliorie

Rilasciato da poche ore un nuovo aggiornamento di mantenimento per il nostro plugin per e-commerce preferito.

WooCommerce 2.6.8 contiene una manciata scarsa di bugfix, uno dei quali riguarda il gateway di pagamento Paypal, ma anche gli altri non sono da meno per importanza.

Si tratta di un aggiornamento che non dovrebbe comportare particolari rischi, ma un bel backup è caldamente consigliato prima di effettuarlo, come sempre.

WooCommerce 2.4.12 si prepara per WordPress 4.4 (aggiornato)

WooCommerce 2.4.11 compatibile con WordPress 4.4

Da poche ore è disponibile una nuova versione di WooCommerce.

WooCommerce 2.4.11 è un aggiornamento di mantenimento che applica diversi bugfix e migliorie, ma soprattutto si prepara all’arrivo ormai imminente di WordPress 4.4.

Anche WooCommerce, quindi, è pronto per le nuove funzioni di WordPress 4.4 tra cui l’embed dei contenuti, cosa che tornerà molto utile per inserire i prodotti, anche di store esterni purché realizzati in WooCommerce, in articoli e pagine di WordPress.

Migliora anche la responsività delle immagini, altra nuova caratteristiche del nuovo WordPress 4.4, e per finire WooCommerce 2.4.11 è compatibile anche con il nuovo tema standard di WordPress, Twenty Sixteen.

La lista completa di bugfix e migliorie nel changelog di WooCommerce.

A questo punto non resta che aspettare il nuovo WordPress 4.4, e manca davvero poco.

Aggiornamento: ora è disponibile la versione 2.4.12, che risolve qualche problemino di gioventù della precedente versione.

WooCommerce 2.4.9, bugfix e sicurezza (subito aggiornato a 2.4.10)

Aggiornamento di sicurezza per WooCommerce

Aggiornamento: dopo poche ore è stato rilasciato WooCommerce 2.4.10, con una manciata di bugfix relativi alle funzioni di Geo IP. Evidente il precedente aggiornamento 2.4.9, segnalato ieri, non era del tutto a posto.

È stato appena rilasciato l’aggiornamento a WooCommerce 2.4.9. Si tratta di un aggiornamento con 18 bugfix, i più importanti riguardano il sistema Geo IP, ma risolve anche un problema di sicurezza ti tipo XSS (Cross Site Scripting), che riguarda il file price.php.

Devono fare attenzione, in particolare, gli utilizzatori di temi che sovrascrivono questo file: potrebbero continuare ad usare una versione vulnerabile, nonostante l’aggiornamento di WooCommerce.

Per chi volesse maggiori informazioni sui bug risolti, può sempre consultare il changelog.

Io di solito aspetto qualche ora prima di aggiornare, preferisco attendere i primi commenti in rete, ma come al solito la mamma di tutte le raccomandazioni per l’aggiornamento: un backup completo prima di cominciare, che non si sa mai!

Ciao, come posso aiutarti?
Powered by